Skip to main content
POST
List customers with advanced filtering. Use POST when you need complex filters.

Authentication

Public API: use an API key.
  • Authorization: Bearer YOUR_API_KEY (public API)
The Users List endpoint allows you to list customers with advanced filtering using POST.

Query params

You can add these params to the URL params. For example:
number
default:1
Page number.
number
default:50
The number of customers to return per page. Maximum is 1000.
string
default:"-first_seen"
Sort field. Prefix with - for descending.
string
default:"prod"
Filter by environment. Options: prod, test.

POST params

You can add these params to the body:
object
Filters to apply. Supported filter fields include: customer_identifier, name, email, number_of_requests, total_tokens, total_cost, active_days.

Request example

Response